import React, {useContext} from 'react';
import Context from './../context';

const styles = {
	li:{
		display: 'flex',
		justifyContent: 'space-between',
		alignItems: 'center',
		padding: '.5 rem, 1 rem',
		border: '2px solid grey',
		borderRadius: '4px',
		marginBottom: '.5rem'
	},
	input: {
		marginRight: '1rem'
	}
}

 function TodoItem({todo, index, onChange}){
	 const {removeTodo} = useContext(Context)
	 let classes = [];
	if (todo.completed) {
		classes.push('done');
	  }
	
	  return (
		<li style={styles.li}>
		  <span className={classes.join(' ')}>
			<input
			  type='checkbox'
			  checked={todo.completed}
			  style={styles.input}
			  onChange={() => onChange(todo.id)}
			/>
			<strong>{index + 1}</strong>
			&nbsp;
			{todo.title}
		  </span>
	
		  <button className='rm' onClick={removeTodo.bind(null, todo.id)}>
			&times;
		  </button>
		</li>
	)
}

export default TodoItem